You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1422.1.16, 2003-11-13 06:50:55-02:00, acme@conectiva.com.br
  o IRDA: use sk_wait_error


 af_irda.c |   17 ++++-------------
 1 files changed, 4 insertions(+), 13 deletions(-)


diff -Nru a/net/irda/af_irda.c b/net/irda/af_irda.c
--- a/net/irda/af_irda.c	Sat Nov 15 17:00:47 2003
+++ b/net/irda/af_irda.c	Sat Nov 15 17:00:48 2003
@@ -1408,7 +1408,7 @@
 		struct sk_buff *skb = skb_dequeue(&sk->sk_receive_queue);
 
 		if (skb==NULL) {
-			int ret = 0;
+			int ret;
 
 			if (copied >= target)
 				break;
@@ -1421,18 +1421,9 @@
 			add_wait_queue(sk->sk_sleep, &waitq);
 			set_current_state(TASK_INTERRUPTIBLE);
 
-			/*
-			 *	POSIX 1003.1g mandates this order.
-			 */
-			if (sk->sk_err)
-				ret = sock_error(sk);
-			else if (sk->sk_shutdown & RCV_SHUTDOWN)
-				;
-			else if (noblock)
-				ret = -EAGAIN;
-			else if (signal_pending(current))
-				ret = -ERESTARTSYS;
-			else if (skb_peek(&sk->sk_receive_queue) == NULL)
+			ret = sk_wait_error(sk, noblock);
+			if (!ret && !(sk->sk_shutdown & RCV_SHUTDOWN) &&
+			    !skb_peek(&sk->sk_receive_queue))
 				/* Wait process until data arrives */
 				schedule();
 

===================================================================


This BitKeeper patch contains the following changesets:
1.1422.1.16
## Wrapped with gzip_uu ##


M'XL( .!WMC\  [U484_;,!#]'/^*0T@5U9;$9SM)"2J"T6F@30.5L7VLG,20
M+FW<.6ZK2?GQ<SH$@W6@H6E.HI-R[U[>G9^S"U>-,JDG\[DBNW"J&YMZN:Y5
M;J<K&>1Z'F3&)<9:NT18ZKD*.VR852RLE?59$ =('.)"VKR$E3)-ZF' [][8
M[PN5>N.W[ZX^'(\)&0[AI)3UC;I4%H9#8K59R5G1'$E;SG0=6"/K9J[LYMOM
M';1EE#)W19AP&L4MQE0D;8X%HA2H"LK$(!:DDW;T6/Y#%HZ(G XB*FB+KHB1
M$6" @K' A1@H#Q%#Y$#C-*)I%/F4I93"5FIXA>!3\@;^;1LG) <-9^/1<0K+
M1D%33=9R:B?*&&W(>_BI^^)^DL3_RT4(E90</J/;;7 X-84,Y?6DBT'^2P."
M4MI2Y%T#DA<J28J,<\;BHM@^K#_0W6](TM*$L<'&)+]CGW?+2^62K_8HT\L;
MHVQ0+F;N>8+.R:618]T7O,7!?I1L_",&CXTCDJ>-(\!'_M^=LYGO.?AFO;F=
M$2ZVC/H%=AJA0 0D9[?1\[QI;<&-]*#+,0'(NB2/@'=)TQW_A_+VFNHUU#J;
MZ;SJ'VP8KF%OIT/V>K#CTOZA*VC*I2WTNH8>C$\^3RY/KSZ-SK]\[#M05P-N
M[315-EDH5>WU;HN,RM5TI2;?EFJI^OW['U9>JKQJEO-AE!374:8X^0$+(S!A
$$P4     
 
